# Configuration file

client {
    # If true, allows players to experience nausea on non-standard atmosphere types
    B:EnableAtmosphericNausea=true

    # If true, AR will use a custom skybox on planets
    B:PlanetSkyOverride=true

    # If true, AR will use a custom skybox on space stations
    B:StationSkyOverride=true

    # Advanced visual effects
    B:advancedVFX=true
    I:atmBarModeX=-1
    I:atmBarModeY=1
    I:atmBarX=8
    I:atmBarY=27

    # Should Electric Mushrooms be able to spawn lightning
    B:electricPlantsSpawnLightning=true
    I:hydrogenBarModeX=0
    I:hydrogenBarModeY=1
    I:hydrogenBarX=-8
    I:hydrogenBarY=74
    B:overworldSkyOverride=true
    I:oxygenBarModeX=0
    I:oxygenBarModeY=1
    I:oxygenBarX=-8
    I:oxygenBarY=57
    I:suitPanelModeX=-1
    I:suitPanelModeY=-1
    I:suitPanelX=8
    I:suitPanelY=8
}


"energy production" {
    # Multiplier for the amount of energy produced by the microwave reciever
    D:MicrowaveRecieverMultiplier=1.0

    # Multiplier for the amount of power per tick the black hole generator should produce
    I:blackHoleGeneratorMultiplier=1

    # List of blocks and the amount of ticks they can power the black hole generator format: 'modname:block:meta;number_of_ticks'
    S:blackHoleTimings <
        minecraft:stone;1
        minecraft:dirt;1
        minecraft:netherrack;1
        minecraft:cobblestone;1
     >

    # List of blocks and the amount of ticks they can power the black hole generator format: 'modname:block:meta;number_of_ticks'
    I:defaultBurnTime=500

    # Amount of power per tick the solar generator should produce
    I:solarGeneratorMultiplier=1
}


general {
    # Enables the laser drill machine
    B:EnableLaserDrill=true

    # Enables terraforming items and blocks
    B:EnableTerraforming=true

    # Power multiplier for the laser drill machine
    D:LaserDrillPowerMultiplier=1.0

    # how many millibuckets/t are required to keep the terraformer running
    I:TerraformerFluidConsumeRate=40

    # Whether the Terraformer should consume fluids at all, independent of rate
    B:TerraformerRequiresFluids=true

    # non-ar biomes from mods with custom world gen can not be decorated in terraforming. If you want fully decorated terraforming with only default biomes, set this to false
    B:allowNonArBiomesInTerraforming=false

    # If true dimensions not added by AR can be terraformed, including the overworld
    B:allowTerraformingNonARWorlds=false

    # Multiplier for the energy hatch capacity
    D:blockEnergyHatchCapacityMultiplier=1.0

    # Multiplier for the liquid hatch (in/out) capacity
    D:blockLiquidHatchCapacityMultiplier=1.0

    # Multiplier for the pressurized tank's (block) capacity
    D:blockTankCapacity=1.0

    # Multiplier for the build speed of the Rocket Builder (0.5 is twice as fast 2 is half as fast
    D:buildSpeedMultiplier=1.0

    # Maximum gravity the crystalliser will function at. Use 0.0 to disable!
    D:crystalliserMaximumGravity=0.0

    # If false the gravity controller cannot be built or used
    B:enableGravityMachine=true

    # Amount of force the jetpack provides with respect to gravity, 1 is the same acceleration as caused by Earth's gravity, 2 is 2x the acceleration caused by Earth's gravity, etc.  To make jetpack only work on low gravity planets, simply set it to a value less than 1
    D:jetPackForce=1.3

    # If true the orbital laser will actually mine blocks on the planet below
    B:laserDrillPlanet=false

    # Outputs and chances of objects from Enriched Lava in the Centrifuge.  Format: <oredictionaryEntry>:<weight>.  Larger weights are more frequent [default: [nuggetCopper:100], [nuggetIron:100], [nuggetTin:100], [nuggetLead:100], [nuggetSilver:100], [nuggetGold:75], [nuggetDiamond:10], [nuggetUranium:10], [nuggetIridium:1]]
    S:lavaCentrifugeOutputs <
        nuggetCopper:100
        nuggetIron:100
        nuggetTin:100
        nuggetLead:100
        nuggetSilver:100
        nuggetGold:75
        nuggetDiamond:10
        nuggetUranium:10
        nuggetIridium:1
     >

    # The power per tick required to process enriched lava [range: 0 ~ 999999, default: 10]
    I:lavaCentrifugePower=10

    # The time required to process 250mb of enriched lava [range: 0 ~ 999999, default: 50]
    I:lavaCentrifugeTime=50

    # If true the boots only protect the player on planets with low gravity
    B:lowGravityBoots=false

    # If true the machines from AdvancedRocketry will produce things like plates/rods for other mods even if Advanced Rocketry itself does not use the material (This can increase load time)
    B:makeMaterialsForOtherMods=true

    # setting this to true will force AR to read from the XML file in the config/advRocketry instead of the local data, intended for use pack developers to ensure updates are pushed through [default: false]
    B:resetPlanetsFromXML=true

    # Should the cutting machine be able to cut vanilla wood into planks
    B:sawMillCutVanillaWood=true

    # Laser drill will not mine these dimension [default: ]
    S:spaceLaserDimIdBlackList <
     >

    # Multplier for atmosphere change speed
    D:terraformMult=1.0
}


"oxygen system" {
    # If true, allows players being hurt due to lack of oxygen and allows effects from non-standard atmosphere types
    B:EnableAtmosphericEffects=true

    # If true Galacticcraft's air will be disabled entirely requiring use of Advanced Rocketry's Oxygen system on GC planets
    B:OverrideGCAir=true

    # Power consumption multiplier for the oxygen vent
    D:OxygenVentPowerMultiplier=1.0

    # If true, breaking an extinguished torch will drop an extinguished torch instead of a vanilla torch
    B:dropExtinguishedTorches=false

    # list entities which should not be affected by atmosphere properties [default: ]
    S:entityAtmBypass <
        galacticraftcore:alien_villager
        galacticraftcore:buggy
        galacticraftcore:evolved_creeper
        galacticraftcore:evolved_skeleton
        galacticraftcore:evolved_skeleton_boss
        galacticraftcore:evolved_spider
        galacticraftcore:evolved_zombie
        galacticraftcore:evolved_enderman
        galacticraftcore:evolved_witch
     >

    # Multiplier on how much O2 an oxygen vent consumes per tick
    D:oxygenVentConsumptionMultiplier=1.0

    # If true the Oxygen scrubbers require a consumable carbon collection cartridge
    B:scrubberRequiresCartrige=true

    # Blocks that are automatically detected as sealable but should not seal.  Format "Mod:Blockname"  for example "minecraft:chest" [default: ]
    S:sealableBlockBlackList <
     >

    # Blocks that are not automatically detected as sealable but should seal.  Format "Mod:Blockname"  for example "minecraft:chest" [default: ]
    S:sealableBlockWhiteList <
     >

    # Maximum time in minutes that the spacesuit's internal buffer can store O2 for
    I:spaceSuitO2Buffer=30

    # Global multiplier for suit extra tank capacity
    D:suitTankCapacity=1.0

    # Mod:Blockname  for example "minecraft:chest" [default: ]
    S:torchBlocks <
     >

    # Amount of damage taken every second in a vacuum
    I:vacuumDamage=1
}


performance {
    # BitMask: 0: no threading, radius based; 1: threading, radius based (EXP); 2: no threading volume based; 3: threading volume based (EXP)
    I:atmosphereCalculationMethod=3

    # Radius of the O2 vent.  if atmosphereCalculationMethod is 2 or 3 then max volume is calculated from this radius.  WARNING: larger numbers can lead to lag
    I:oxygenVentSize=32
}


planet {
    # List of Biomes to be blacklisted from spawning as BiomeIds during terraforming [default: [minecraft:sky], [minecraft:hell], [minecraft:void]]
    S:BlacklistedBiomes <
        minecraft:sky
        minecraft:hell
        minecraft:void
     >

    # Biomes that only spawn on worlds with pressures over 125, will override blacklist.  Defaults: StormLands, DeepSwamp [default: [advancedrocketry:deepswamp], [advancedrocketry:stormland]]
    S:HighPressureBiomes <
        advancedrocketry:deepswamp
        advancedrocketry:stormland
     >

    # setting this to false will will prevent resetPlanetsFromXML from being set to false upon world reload.  Recommended for those who want to force ALL saves to ALWAYS use the planetDefs XML in the /config folder.  Essentially that 'Are you sure you're sure' option.  If resetPlanetsFromXML is false, this option does nothing. [default: true]
    B:ResetOnlyOnce=false

    # Some worlds have a chance of spawning single biomes contained in this list.  Defaults: deepSwamp, crystalChasms, alienForest, desert hills, mushroom island, extreme hills, ice plains [default: [advancedrocketry:volcanicbarren], [advancedrocketry:deepswamp], [advancedrocketry:crystalchasms], [advancedrocketry:alien_forest], [minecraft:desert_hills], [minecraft:mushroom_island], [minecraft:extreme_hills], [minecraft:ice_flats]]
    S:SingleBiomes <
        advancedrocketry:volcanicbarren
        advancedrocketry:deepswamp
        advancedrocketry:crystalchasms
        advancedrocketry:alien_forest
        minecraft:desert_hills
        minecraft:mushroom_island
        minecraft:extreme_hills
        minecraft:ice_flats
     >

    # If true players will respawn near beds on planets IF the spawn location is in a breathable atmosphere
    B:allowPlanetRespawn=false

    # Prevents any vanilla biomes from spawning on planets [default: false]
    B:blackListVanillaBiomes=false

    # If true players will respawn near beds on planets REGARDLESS of the spawn location being in a non-breathable atmosphere. Requires 'allowPlanetRespawn' being true.
    B:forcePlanetRespawn=false

    # Maximum unique biomes per planet
    I:maxBiomesPerPlanet=99

    # Dimensions including and after this number are allowed to be made into planets [range: -127 ~ 8000, default: 2]
    I:minDimension=2

    # Chance of planet discovery in the warp ship monitor is not all planets are initially discoved, chance is 1/n
    I:planetDiscoveryChance=5

    # If true planets must be discovered in the warp controller before being visible
    B:planetsMustBeDiscovered=false
    B:resetPlanetsFromXML=true
}


"resource collection missions" {
    # Multiplier for the amount of time gas collection missions take
    D:gasMissionMultiplier=1.0

    # list of fluid names that can be harvested as Gas from any gas giant [default: ]
    S:harvestableGasses <
     >

    # Multiplier changing how long a mining mission takes
    D:miningMissionTmeMultiplier=1.0

    # list of fluid names that can be spawned as a gas giant. Format is fluid;minGravity;maxGravity;chance [default: [hydrogen;125;1600;1.0], [helium;125;1600;0.9], [helium3;175;1600;0.2], [oxygen;0;124;1.0], [nitrogen;0;124;1.0], [ammonia;0;124;0.75], [methane;0;124;0.25]]
    S:spawnableGasses <
        hydrogen;125;1600;1.0
        helium;125;1600;0.9
        helium3;175;1600;0.2
        oxygen;0;124;1.0
        nitrogen;0;124;1.0
        ammonia;0;124;0.75
        methane;0;124;0.25
     >
}


rockets {
    # Enables advanced weight system which computes rocket weight, including the handled inventories. Block weights are stores in weights.json
    B:advancedWeightSystem=true

    # Enables advanced weight system for inventories - may not work with modded inventories (eg IE storage chests)
    B:advancedWeightSystemInventories=true

    # The multiplier that asteroids should be considered as for TBI distance
    D:asteroidTBIBurnMult=1.0

    # Setting to false will disable the retrorockets that fire automatically on reentry on both player and automated rockets
    B:autoRetroRockets=true

    # Set to false if rockets should not be able to be fueled by and and will require a fueling station
    B:canBeFueledByHand=true

    # If true, rockets will be able to actually fly around space, EXPERIMENTAL
    B:experimentalSpaceFlight=false

    # Multiplier for per-tank capacity
    D:fuelCapacityMultiplier=1.0

    # If true planets with higher gravity require more fuel and lower gravity would require less
    B:gravityAffectsFuels=true

    # Every rocket usage every part has this probability to increase wear intensity
    D:increaseWearIntensityProb=0.025

    # If true rocket launches will kill plants, glass soil, turn rock into lava, and more
    B:launchBlockDestruction=false

    # The multiplier for the thrust of the nuclear core block. With default configuration, this value provides a (max) thrust of 1000 per core.
    D:nuclearCoreThrustRatio=1.0

    # How high the rocket has to go before it reaches orbit. This is used by itself when launching from a planet to LEO, which can be either a satellite, a space station, or another point on this planet's surface. It's used in conjunction with the TBI burn when launching to the moon or asteroids. Warp flights will need orbit height + 10x TBI to launch from planets [range: 255 ~ 2147483647, default: 1000]
    I:orbitHeight=1000

    # Enables rocket parts wear subsystem. Every rocket start it has probability to explode based on parts' wear intensities
    B:partsWearSystem=true

    # List of fluid names for fluids that can be used as rocket bipropellant fuels
    S:rocketBipropellants <
        hydrogen;10
     >

    # Mod:Blockname  for example "minecraft:chest" [default: [minecraft:portal], [minecraft:bedrock], [minecraft:snow_layer], [minecraft:water], [minecraft:flowing_water], [minecraft:lava], [minecraft:flowing_lava], [minecraft:fire], [advancedrocketry:rocketfire]]
    S:rocketBlockBlackList <
        minecraft:portal
        minecraft:bedrock
        minecraft:snow_layer
        minecraft:water
        minecraft:flowing_water
        minecraft:lava
        minecraft:flowing_lava
        minecraft:fire
        advancedrocketry:rocketfire
     >

    # List of fluid names for fluids that can be used as rocket monopropellants
    S:rocketFuels <
        rocketfuel;10
     >

    # List of fluid names for fluids that can be used as rocket nuclear working fluids
    S:rocketNuclearWorkingFluids <
        hydrogen;10
     >

    # List of fluid names for fluids that can be used as rocket bipropellant oxidizers
    S:rocketOxidizers <
        oxygen;10
     >

    # Set to false if rockets should not require fuel to fly
    B:rocketsRequireFuel=true

    # How high the rocket has to go before it clears a space station and can enter its own orbit - WARNING: This property is not synced with orbitHeight and so will be displayed incorrectly on monitors if not equal to it. Burn length here is used by itself when launching from a station to either another station or the same station, or to the planet it is orbiting. it is used in conjunction with the TBI burn when launching to a moon or asteroid [range: 255 ~ 2147483647, default: 1000]
    I:stationClearance=1000

    # Multiplier for per-engine thrust
    D:thrustMultiplier=1.0

    # How long the burn for trans-body injection is - this is performed soley after entering orbit and is in blocks - WARNING: This property is not taken into account by any machines when determining whether the rocket is fit to fly or not - Rockets that can reach LEO and so are flightworthy may not make TBI and will fall back to the parent planet. When enabled, the burn sequence is [Burn to LEO], [TBI Burn] when launching from a planet to moons or asteroids; and the sequence is [Station clearance burn], [TBI Burn] when launching from a station to a moon or asteroid. This distance varies by object distance [range: 0 ~ 2147483647, default: 0]
    I:transBodyInjection=0

    # The multiplier that warp rocket flights should be considered as for TBI distance
    D:warpTBIBurnMult=10.0
}


"station configuration" {
    # The largest size a space station can be.  Should also be a power of 2 (512, 1024, 2048, 4096, ...).  CAUTION: CHANGING THIS OPTION WILL DAMAGE EXISTING STATIONS!!!
    I:SpaceStationBuildRadius=1024

    # If true players will be able to completely disable gravity on spacestation.  It's possible to get stuck and require a teleport, you have been warned!
    B:allowZeroGSpacestations=false

    # How many units of fuel should each Dilithium Crystal give to warp ships
    I:pointsPerDilithium=500

    # Dimension ID to use for space stations
    I:spaceStationId=-2

    # Multiplier for warp travel time
    D:warpTravelTime=1.0
}


"world and ore generation" {
    I:AluminumPerChunk=0
    I:AluminumPerClump=16
    I:CopperPerChunk=0
    I:CopperPerClump=6
    I:DilithiumPerChunk=1
    I:DilithiumPerChunkLuna=10
    I:DilithiumPerClump=16
    B:EnableOreGen=true
    B:GenerateCopper=false
    B:GenerateRutile=true
    B:GenerateTin=false
    I:IridiumPerChunk=1
    I:IridiumPerClump=16
    I:RutilePerChunk=6
    I:RutilePerClump=6
    I:TinPerChunk=0
    I:TinPerClump=6
    B:generateAluminum=false

    # If true then low pressure planets will have meteor craters.  Note: setting this option to false overrides 'generageCraters' in the planetDefs.xml
    B:generateCraters=true
    B:generateDilithium=true

    # If true then ore-containing geodes are generated on high pressure planets
    B:generateGeodes=true
    B:generateIridium=false

    # Enable to allow structures like villages and mineshafts to generate on planets with a breathable atmosphere.  Note, setting this to false will override 'generateStructures' in the planetDefs.xml [default: false]
    B:generateVanillaStructures=false

    # If true then very hot planets planets will volcanos.  Note: setting this option to false overrides 'generateVolcanos' in the planetDefs.xml
    B:generateVolcanos=true

    # average size of the geodes
    I:geodeBaseSize=36

    # List of oredictionary names of ores allowed to spawn in geodes
    S:geodeOres <
        oreIron
        oreGold
        oreCopper
        oreTin
        oreRedstone
     >

    # True if the ores in geodeOres should be a blacklist, false for whitelist
    B:geodeOres_blacklist=false

    # variation in geode size
    I:geodeVariation=24

    # List of oredictionary names of ores allowed to be mined by the laser drill if surface drilling is disabled.  Ores can be specified by just the oreName:<size> or by <modname>:<blockname>:<meta>:<size> where size is optional
    S:laserDrillOres <
     >

    # True if the ores in laserDrillOres should be a blacklist, false for whitelist. if set to false in combination with empty ore list it will crash the game
    B:laserDrillOres_blacklist=true
}


